﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.OpenAccess;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using NorthwindModel;

namespace ContainerUser
{
    class Program
    {
        static void Main(string[] args)
        {
            //load container from embedded resource and display all customers!
             
            Stream stream = typeof(Program).Assembly.GetManifestResourceStream("ContainerUser.NorthwindContainer.serialized");
            BinaryFormatter bFormatter = new BinaryFormatter();
            var changeSet = (ObjectContainer.ChangeSet)bFormatter.Deserialize(stream);
            stream.Close();
            ObjectContainer container = new ObjectContainer();
            container.Apply(changeSet);

            foreach(var customer in container.Extent<Customer>().OrderBy(x=>x.ContactName))
                Console.WriteLine(customer.ContactName);
        }
    }
}
